Bug 1272200 - dracut-network: rpc.statd: Failed to create /var/lib/nfs/statd/state.new: Read-only file system
dracut-network: rpc.statd: Failed to create /var/lib/nfs/statd/state.new: Rea...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
21
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-15 14:22 EDT by Jan Kratochvil
Modified: 2015-12-02 13:20 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:42:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2015-10-15 14:22:55 EDT
Description of problem:
After booting dracut-network diskless host I could mount some NFS filesystems but for one of the filesystems I got the read-only file system error.
Workaround is to put in rc.local before any NFS mounts:
mount -t tmpfs tmpfs /var/lib/nfs/statd

Version-Release number of selected component (if applicable):
nfs-utils-1.3.1-6.4.fc21.x86_64
kernel-4.1.8-100.fc21.x86_64
dracut-network-038-39.git20150518.fc21.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Boot diskless host.
2. Type: mount 192.168.80.1:/export/root/hdd /hdd

Actual results:
Job for rpc-statd.service failed. See "systemctl status rpc-statd.service" and "journalctl -xe" for details.
<lock> CTRL-C
Oct 15 20:23:57 localhost systemd[1]: Starting RPC Port Mapper.
-- Subject: Unit rpcbind.target has begun with start-up
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Unit rpcbind.target has begun starting up.
Oct 15 20:23:57 localhost systemd[1]: Reached target RPC Port Mapper.
-- Subject: Unit rpcbind.target has finished start-up
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Unit rpcbind.target has finished starting up.
-- 
-- The start-up result is done.
Oct 15 20:23:57 localhost systemd[1]: Starting Host and Network Name Lookups.
-- Subject: Unit nss-lookup.target has begun with start-up
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Unit nss-lookup.target has begun starting up.
Oct 15 20:23:57 localhost systemd[1]: Reached target Host and Network Name Lookups.
-- Subject: Unit nss-lookup.target has finished start-up
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Unit nss-lookup.target has finished starting up.
-- 
-- The start-up result is done.
Oct 15 20:23:57 localhost systemd[1]: Starting NFS status monitor for NFSv2/3 locking....
-- Subject: Unit rpc-statd.service has begun with start-up
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Unit rpc-statd.service has begun starting up.
Oct 15 20:23:57 localhost rpc.statd[796]: Version 1.3.1 starting
Oct 15 20:23:57 localhost rpc.statd[796]: Flags: TI-RPC
Oct 15 20:23:57 localhost rpc.statd[796]: Failed to read /var/lib/nfs/statd/state: Success
Oct 15 20:23:57 localhost rpc.statd[796]: Initializing NSM state
Oct 15 20:23:57 localhost rpc.statd[796]: Failed to create /var/lib/nfs/statd/state.new: Read-only file system
Oct 15 20:23:57 localhost systemd[1]: rpc-statd.service: control process exited, code=exited status=1
Oct 15 20:23:57 localhost systemd[1]: Failed to start NFS status monitor for NFSv2/3 locking..
-- Subject: Unit rpc-statd.service has failed
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Unit rpc-statd.service has failed.
-- 
-- The result is failed.
Oct 15 20:23:57 localhost systemd[1]: Unit rpc-statd.service entered failed state.
Oct 15 20:23:57 localhost systemd[1]: rpc-statd.service failed.
Oct 15 20:23:57 localhost rpc.statd[798]: Version 1.3.1 starting
Oct 15 20:23:57 localhost rpc.statd[798]: Flags: TI-RPC
Oct 15 20:23:57 localhost rpc.statd[798]: Failed to read /var/lib/nfs/statd/state: Success
Oct 15 20:23:57 localhost rpc.statd[798]: Initializing NSM state
Oct 15 20:23:57 localhost rpc.statd[798]: Failed to create /var/lib/nfs/statd/state.new: No such file or directory

(Not sure why all the services are starting when I already had one NFS fs mounted.)

Expected results:
Mounted NFS filesystem.

Additional info:
This is still F-21.  I will rebase it all to F-23 soon if the bug still persists there.
Comment 1 Steve Dickson 2015-10-16 11:08:49 EDT
what are the expectations? rpc.statd needs a place to write its state.
Comment 2 Jan Kratochvil 2015-10-16 12:01:20 EDT
OK, I see it is rather a dracut-network Bug.
Comment 3 Fedora End Of Life 2015-11-04 05:07:51 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Harald Hoyer 2015-11-09 08:14:22 EST
(In reply to Jan Kratochvil from comment #2)
> OK, I see it is rather a dracut-network Bug.

what makes you think it is???
Comment 5 Jan Kratochvil 2015-11-09 08:46:24 EST
nfs-utils maintainer does not want this Bug: Comment 1

A workaround for this Bug is:
  mount -t tmpfs tmpfs /var/lib/nfs/statd
Also discussed in internal Red Hat list:
  http://post-office.corp.redhat.com/archives/tech-list/2015-November/msg00083.html

I guess everything under /var should be writable which is not with nfsroot and nfsroot is mounted by dracut-network:
  /usr/lib/dracut/modules.d/95nfs/nfsroot*.sh

Although I haven't tried to debug it to find out the right component.
Another idea is systemd but I have bad experience filing any Bugs there.
Comment 6 Harald Hoyer 2015-11-09 09:54:05 EST
(In reply to Jan Kratochvil from comment #5)
> nfs-utils maintainer does not want this Bug: Comment 1
> 
> A workaround for this Bug is:
>   mount -t tmpfs tmpfs /var/lib/nfs/statd
> Also discussed in internal Red Hat list:
>  
> http://post-office.corp.redhat.com/archives/tech-list/2015-November/msg00083.
> html
> 
> I guess everything under /var should be writable which is not with nfsroot
> and nfsroot is mounted by dracut-network:
>   /usr/lib/dracut/modules.d/95nfs/nfsroot*.sh
> 
> Although I haven't tried to debug it to find out the right component.
> Another idea is systemd but I have bad experience filing any Bugs there.

Why not add that to /etc/fstab??

Anyway that location is totally out of sync with initrd transition and probably should be placed in /run/nfs/statd and let /var/lib/nfs/statd be a symlink. 
Same for /var/lib/nfs/rpc_pipefs. So probably /var/lib/nfs -> /run/nfs is the sane solution to get the state from the initramfs to the real root without jumping through hoops and rely on any /var being mounted later on.
Comment 7 Fedora End Of Life 2015-12-02 10:42:32 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.